/////////////////////////////////////////////////////////////////////////////
///
/// @file mpfrsupp.cpp
///
/// The static part of supplementary functions and classes
/// for the mpfr class.
///
/// @author Pawel Pilarczyk
///
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2007-2019 by Pawel Pilarczyk.
//
// This file is part of my research software package. This is free software:
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation,
// either version 3 of the License, or (at your option) any later version.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this software; see the file "license.txt". If not,
// please, see <http://www.gnu.org/licenses/>.

// Started on March 29, 2007. Last revision: March 29, 2008.

#include "mpfrsupp.h"


// --------------------------------------------------
// ----- automatic initialization and clearing ------
// --------------------------------------------------

int auto_mpfr::defaultPrecision = 0;


